Index: main/kofacustom.udss/trunk/README.txt
===================================================================
--- main/kofacustom.udss/trunk/README.txt	(revision 17688)
+++ main/kofacustom.udss/trunk/README.txt	(revision 17689)
@@ -1,3 +1,3 @@
-waeup.skeleton
+waeup.udss
 **************
 
Index: main/kofacustom.udss/trunk/buildout-zeo.cfg
===================================================================
--- main/kofacustom.udss/trunk/buildout-zeo.cfg	(revision 17688)
+++ main/kofacustom.udss/trunk/buildout-zeo.cfg	(revision 17689)
@@ -118,5 +118,5 @@
 # See http://pypi.python.org/pypi/zc.recipe.egg for details...
 recipe = zc.recipe.egg
-eggs = kofacustom.skeleton [beaker, diazo]
+eggs = kofacustom.udss [beaker, diazo]
 arguments = "${buildout:parts-directory}/etc/zeo1.conf"
 scripts = kofactl=zeo_client1
@@ -125,5 +125,5 @@
 # See http://pypi.python.org/pypi/zc.recipe.egg for details...
 recipe = zc.recipe.egg
-eggs = kofacustom.skeleton [beaker, diazo]
+eggs = kofacustom.udss [beaker, diazo]
 arguments = "${buildout:parts-directory}/etc/zeo2.conf"
 scripts = kofactl=zeo_client2
Index: main/kofacustom.udss/trunk/buildout.cfg
===================================================================
--- main/kofacustom.udss/trunk/buildout.cfg	(revision 17688)
+++ main/kofacustom.udss/trunk/buildout.cfg	(revision 17689)
@@ -52,10 +52,10 @@
 host = 0.0.0.0
 # default is 8080
-base_port = 8080
-
-zeo1_port = 8011
-zeo2_port = 8012
+base_port = 7018
+
+#zeo1_port = 8011
+# zeo2_port = 8012
 # zeo3_port = 8013
-server_port = 8010
+# server_port = 8010
 # default 7. Number of pre-opened ZODB threads/client
 pool_size = 7
@@ -66,10 +66,10 @@
 # number of preopened paster threads, default 10
 threadpool_workers = 10
-devel_pkg = kofacustom.skeleton
+devel_pkg = kofacustom.udss
 
 [app]
 # This creates all scripts in bin/. The kofactl created here is 'faulty'.
 recipe = zc.recipe.egg
-eggs = kofacustom.skeleton [beaker, diazo]
+eggs = kofacustom.udss [beaker, diazo]
        z3c.evalexception>=2.0
        Paste
@@ -85,5 +85,5 @@
 # fixed path to zdaemon.conf as argument.
 recipe = zc.recipe.egg
-eggs = kofacustom.skeleton [beaker, diazo]
+eggs = kofacustom.udss [beaker, diazo]
 arguments = "${buildout:parts-directory}/etc/zdaemon.conf"
 scripts = kofactl=kofactl
@@ -100,5 +100,5 @@
 [test]
 recipe = zc.recipe.testrunner
-eggs = kofacustom.skeleton [beaker, test]
+eggs = kofacustom.udss [beaker, test]
 defaults = ['--tests-pattern', '^f?tests$', '-v']
 
@@ -106,8 +106,8 @@
 [i18n]
 recipe = z3c.recipe.i18n:i18n
-packages = kofacustom.skeleton
-eggs = kofacustom.skeleton
-domain = kofacustom.skeleton
-output = src/kofacustom/skeleton/locales
+packages = kofacustom.udss
+eggs = kofacustom.udss
+domain = kofacustom.udss
+output = src/kofacustom/udss/locales
 zcml =
 
@@ -116,5 +116,5 @@
 [zpasswd]
 recipe = z3c.recipe.dev:script
-eggs = kofacustom.skeleton
+eggs = kofacustom.udss
 module = zope.app.server.zpasswd
 method = main
@@ -184,5 +184,5 @@
 [coverage-detect]
 recipe = zc.recipe.testrunner
-eggs = kofacustom.skeleton[beaker]
+eggs = kofacustom.udss[beaker]
 defaults = ['--tests-pattern', '^f?tests$', '-v', '--coverage', 'coverage']
 
@@ -205,3 +205,3 @@
     diazo [wsgi]
     PasteScript
-    kofacustom.skeleton [beaker, diazo]
+    kofacustom.udss [beaker, diazo]
Index: main/kofacustom.udss/trunk/etc/profile.ini.in
===================================================================
--- main/kofacustom.udss/trunk/etc/profile.ini.in	(revision 17688)
+++ main/kofacustom.udss/trunk/etc/profile.ini.in	(revision 17689)
@@ -57,5 +57,5 @@
 
 [app:app]
-use = egg:kofacustom.skeleton
+use = egg:kofacustom.udss
 
 [pipeline:main]
Index: main/kofacustom.udss/trunk/etc/site.zcml.in
===================================================================
--- main/kofacustom.udss/trunk/etc/site.zcml.in	(revision 17688)
+++ main/kofacustom.udss/trunk/etc/site.zcml.in	(revision 17689)
@@ -2,8 +2,8 @@
            xmlns:browser="http://namespaces.zope.org/browser"
            xmlns:kofa="http://namespaces.waeup.org/kofa"
-           i18n_domain="kofacustom.skeleton">
+           i18n_domain="kofacustom.udss">
 
-  <include package="kofacustom.skeleton" />
-  <include package="kofacustom.skeleton" file="mail.zcml" />
+  <include package="kofacustom.udss" />
+  <include package="kofacustom.udss" file="mail.zcml" />
 
   <!-- install job container
@@ -30,5 +30,5 @@
       path="${buildout:directory}/var/datacenter" />
 
-    <configure i18n_domain="kofacustom.skeleton">
+    <configure i18n_domain="kofacustom.udss">
 
       <unauthenticatedPrincipal id="zope.anybody"
Index: main/kofacustom.udss/trunk/setup.py
===================================================================
--- main/kofacustom.udss/trunk/setup.py	(revision 17688)
+++ main/kofacustom.udss/trunk/setup.py	(revision 17689)
@@ -47,5 +47,5 @@
     )
 
-setup(name = 'kofacustom.skeleton',
+setup(name = 'kofacustom.udss',
       version = version,
       description = "A customized waeup.kofa",
Index: main/kofacustom.udss/trunk/src/kofacustom/udss/applicants/applicant.py
===================================================================
--- main/kofacustom.udss/trunk/src/kofacustom/udss/applicants/applicant.py	(revision 17688)
+++ main/kofacustom.udss/trunk/src/kofacustom/udss/applicants/applicant.py	(revision 17689)
@@ -22,5 +22,5 @@
 from waeup.kofa.utils.helpers import attrs_to_fields
 from kofacustom.nigeria.applicants.applicant import NigeriaApplicant
-from kofacustom.skeleton.applicants.interfaces import(
+from kofacustom.udss.applicants.interfaces import(
     ICustomApplicant, ICustomUGApplicantEdit, ICustomPGApplicantEdit, IPUTMEApplicantEdit)
 
Index: main/kofacustom.udss/trunk/src/kofacustom/udss/applicants/batching.py
===================================================================
--- main/kofacustom.udss/trunk/src/kofacustom/udss/applicants/batching.py	(revision 17688)
+++ main/kofacustom.udss/trunk/src/kofacustom/udss/applicants/batching.py	(revision 17689)
@@ -20,5 +20,5 @@
 from kofacustom.nigeria.applicants.batching import NigeriaApplicantProcessor
 from waeup.kofa.applicants.batching import ApplicantOnlinePaymentProcessor
-from kofacustom.skeleton.applicants.interfaces import (
+from kofacustom.udss.applicants.interfaces import (
     ICustomApplicant,
     ICustomApplicantUpdateByRegNo,
Index: main/kofacustom.udss/trunk/src/kofacustom/udss/applicants/browser.py
===================================================================
--- main/kofacustom.udss/trunk/src/kofacustom/udss/applicants/browser.py	(revision 17688)
+++ main/kofacustom.udss/trunk/src/kofacustom/udss/applicants/browser.py	(revision 17689)
@@ -40,5 +40,5 @@
     PG_OMIT_EDIT_FIELDS,
     )
-from kofacustom.skeleton.applicants.interfaces import (
+from kofacustom.udss.applicants.interfaces import (
     ICustomPGApplicant, ICustomUGApplicant, ICustomApplicant,
     ICustomPGApplicantEdit, ICustomUGApplicantEdit,
@@ -46,5 +46,5 @@
     )
 
-from kofacustom.skeleton.interfaces import MessageFactory as _
+from kofacustom.udss.interfaces import MessageFactory as _
 
 class CustomApplicantEditFormPage(NigeriaApplicantEditFormPage):
Index: main/kofacustom.udss/trunk/src/kofacustom/udss/applicants/export.py
===================================================================
--- main/kofacustom.udss/trunk/src/kofacustom/udss/applicants/export.py	(revision 17688)
+++ main/kofacustom.udss/trunk/src/kofacustom/udss/applicants/export.py	(revision 17689)
@@ -24,5 +24,5 @@
 from kofacustom.nigeria.applicants.interfaces import (
     INigeriaUGApplicant, INigeriaPGApplicant)
-from kofacustom.skeleton.applicants.interfaces import (
+from kofacustom.udss.applicants.interfaces import (
     ICustomUGApplicant, ICustomPGApplicant)
 
Index: main/kofacustom.udss/trunk/src/kofacustom/udss/applicants/interfaces.py
===================================================================
--- main/kofacustom.udss/trunk/src/kofacustom/udss/applicants/interfaces.py	(revision 17688)
+++ main/kofacustom.udss/trunk/src/kofacustom/udss/applicants/interfaces.py	(revision 17689)
@@ -37,6 +37,6 @@
     IPUTMEApplicantEdit,
     )
-from kofacustom.skeleton.interfaces import MessageFactory as _
-from kofacustom.skeleton.payments.interfaces import ICustomOnlinePayment
+from kofacustom.udss.interfaces import MessageFactory as _
+from kofacustom.udss.payments.interfaces import ICustomOnlinePayment
 
 class ICustomUGApplicant(INigeriaUGApplicant):
Index: main/kofacustom.udss/trunk/src/kofacustom/udss/applicants/payment.py
===================================================================
--- main/kofacustom.udss/trunk/src/kofacustom/udss/applicants/payment.py	(revision 17688)
+++ main/kofacustom.udss/trunk/src/kofacustom/udss/applicants/payment.py	(revision 17689)
@@ -24,5 +24,5 @@
 from waeup.kofa.applicants.payment import ApplicantOnlinePayment
 from waeup.kofa.utils.helpers import attrs_to_fields
-from kofacustom.skeleton.applicants.interfaces import ICustomApplicantOnlinePayment
+from kofacustom.udss.applicants.interfaces import ICustomApplicantOnlinePayment
 
 class CustomApplicantOnlinePayment(ApplicantOnlinePayment):
Index: main/kofacustom.udss/trunk/src/kofacustom/udss/applicants/tests/test_applicant.py
===================================================================
--- main/kofacustom.udss/trunk/src/kofacustom/udss/applicants/tests/test_applicant.py	(revision 17688)
+++ main/kofacustom.udss/trunk/src/kofacustom/udss/applicants/tests/test_applicant.py	(revision 17689)
@@ -30,9 +30,9 @@
 from waeup.kofa.interfaces import IFileStoreHandler, IFileStoreNameChooser
 from waeup.kofa.testing import FunctionalTestCase
-from kofacustom.skeleton.applicants.applicant import (
+from kofacustom.udss.applicants.applicant import (
     CustomApplicant, CustomApplicantFactory,
     )
-from kofacustom.skeleton.applicants.interfaces import ICustomApplicant
-from kofacustom.skeleton.testing import FunctionalLayer
+from kofacustom.udss.applicants.interfaces import ICustomApplicant
+from kofacustom.udss.testing import FunctionalLayer
 
 class CustomApplicantTest(FunctionalTestCase):
Index: main/kofacustom.udss/trunk/src/kofacustom/udss/applicants/tests/test_browser.py
===================================================================
--- main/kofacustom.udss/trunk/src/kofacustom/udss/applicants/tests/test_browser.py	(revision 17688)
+++ main/kofacustom.udss/trunk/src/kofacustom/udss/applicants/tests/test_browser.py	(revision 17689)
@@ -25,10 +25,10 @@
 from zope.intid.interfaces import IIntIds
 from hurry.workflow.interfaces import IWorkflowState
-from kofacustom.skeleton.testing import FunctionalLayer
+from kofacustom.udss.testing import FunctionalLayer
 from waeup.kofa.browser.tests.test_pdf import samples_dir
 from waeup.kofa.applicants.tests.test_browser import ApplicantsFullSetup
 from waeup.kofa.applicants.tests.test_batching import ApplicantImportExportSetup
-from kofacustom.skeleton.applicants.export import CustomApplicantExporter
-from kofacustom.skeleton.applicants.batching import CustomApplicantProcessor
+from kofacustom.udss.applicants.export import CustomApplicantExporter
+from kofacustom.udss.applicants.batching import CustomApplicantProcessor
 
 class CustomApplicantUITests(ApplicantsFullSetup):
Index: main/kofacustom.udss/trunk/src/kofacustom/udss/applicants/utils.py
===================================================================
--- main/kofacustom.udss/trunk/src/kofacustom/udss/applicants/utils.py	(revision 17688)
+++ main/kofacustom.udss/trunk/src/kofacustom/udss/applicants/utils.py	(revision 17689)
@@ -22,5 +22,5 @@
 from waeup.kofa.applicants.workflow import (INITIALIZED,
     STARTED, PAID, ADMITTED, NOT_ADMITTED, SUBMITTED, CREATED)
-from kofacustom.skeleton.interfaces import MessageFactory as _
+from kofacustom.udss.interfaces import MessageFactory as _
 
 
Index: main/kofacustom.udss/trunk/src/kofacustom/udss/browser/pages.py
===================================================================
--- main/kofacustom.udss/trunk/src/kofacustom/udss/browser/pages.py	(revision 17688)
+++ main/kofacustom.udss/trunk/src/kofacustom/udss/browser/pages.py	(revision 17689)
@@ -21,5 +21,5 @@
     LoginPage, CertificatePage, CertificateManageFormPage)
 from waeup.kofa.university.interfaces import ICertificate
-from kofacustom.skeleton.interfaces import (
+from kofacustom.udss.interfaces import (
     ICustomSessionConfiguration, ICustomSessionConfigurationAdd)
 
Index: main/kofacustom.udss/trunk/src/kofacustom/udss/browser/tests.py
===================================================================
--- main/kofacustom.udss/trunk/src/kofacustom/udss/browser/tests.py	(revision 17688)
+++ main/kofacustom.udss/trunk/src/kofacustom/udss/browser/tests.py	(revision 17689)
@@ -22,5 +22,5 @@
 from zope.security.interfaces import Unauthorized
 from waeup.kofa.testing import FunctionalTestCase
-from kofacustom.skeleton.testing import FunctionalLayer
+from kofacustom.udss.testing import FunctionalLayer
 from waeup.kofa.app import University
 
Index: main/kofacustom.udss/trunk/src/kofacustom/udss/configuration.py
===================================================================
--- main/kofacustom.udss/trunk/src/kofacustom/udss/configuration.py	(revision 17688)
+++ main/kofacustom.udss/trunk/src/kofacustom/udss/configuration.py	(revision 17689)
@@ -24,5 +24,5 @@
 from waeup.kofa.configuration import (
     SessionConfigurationFactory, SessionConfiguration)
-from kofacustom.skeleton.interfaces import (
+from kofacustom.udss.interfaces import (
     ICustomSessionConfiguration, ICustomSessionConfigurationAdd)
 
Index: main/kofacustom.udss/trunk/src/kofacustom/udss/configure.zcml
===================================================================
--- main/kofacustom.udss/trunk/src/kofacustom/udss/configure.zcml	(revision 17688)
+++ main/kofacustom.udss/trunk/src/kofacustom/udss/configure.zcml	(revision 17689)
@@ -1,5 +1,5 @@
 <configure xmlns="http://namespaces.zope.org/zope"
            xmlns:grok="http://namespaces.zope.org/grok">
-  <include package="kofacustom.skeleton" file="locales.zcml" />
+  <include package="kofacustom.udss" file="locales.zcml" />
 
   <!-- kofacustom.nigeria configures everything we basically need.
Index: main/kofacustom.udss/trunk/src/kofacustom/udss/ftesting.zcml
===================================================================
--- main/kofacustom.udss/trunk/src/kofacustom/udss/ftesting.zcml	(revision 17688)
+++ main/kofacustom.udss/trunk/src/kofacustom/udss/ftesting.zcml	(revision 17689)
@@ -3,10 +3,10 @@
    xmlns:browser="http://namespaces.zope.org/browser"
    xmlns:kofa="http://namespaces.waeup.org/kofa"
-   i18n_domain="kofacustom.skeleton"
-   package="kofacustom.skeleton"
+   i18n_domain="kofacustom.udss"
+   package="kofacustom.udss"
    >
 
-  <include package="kofacustom.skeleton" />
-  <include package="kofacustom.skeleton" file="mail.zcml"/>
+  <include package="kofacustom.udss" />
+  <include package="kofacustom.udss" file="mail.zcml"/>
 
   <!-- Where should the datacenter reside by default? -->
Index: main/kofacustom.udss/trunk/src/kofacustom/udss/hostels/browser.py
===================================================================
--- main/kofacustom.udss/trunk/src/kofacustom/udss/hostels/browser.py	(revision 17688)
+++ main/kofacustom.udss/trunk/src/kofacustom/udss/hostels/browser.py	(revision 17689)
@@ -21,5 +21,5 @@
 from waeup.kofa.hostels.browser import (
     HostelAddFormPage, HostelDisplayFormPage, HostelManageFormPage)
-from kofacustom.skeleton.hostels.interfaces import ICustomHostel
+from kofacustom.udss.hostels.interfaces import ICustomHostel
 
 class CustomHostelAddFormPage(HostelAddFormPage):
Index: main/kofacustom.udss/trunk/src/kofacustom/udss/hostels/hostel.py
===================================================================
--- main/kofacustom.udss/trunk/src/kofacustom/udss/hostels/hostel.py	(revision 17688)
+++ main/kofacustom.udss/trunk/src/kofacustom/udss/hostels/hostel.py	(revision 17689)
@@ -23,5 +23,5 @@
 from waeup.kofa.utils.helpers import attrs_to_fields
 from waeup.kofa.hostels.hostel import HostelFactory, BedFactory, Hostel, Bed
-from kofacustom.skeleton.hostels.interfaces import ICustomHostel, ICustomBed
+from kofacustom.udss.hostels.interfaces import ICustomHostel, ICustomBed
 
 class CustomHostel(Hostel):
Index: main/kofacustom.udss/trunk/src/kofacustom/udss/hostels/interfaces.py
===================================================================
--- main/kofacustom.udss/trunk/src/kofacustom/udss/hostels/interfaces.py	(revision 17688)
+++ main/kofacustom.udss/trunk/src/kofacustom/udss/hostels/interfaces.py	(revision 17689)
@@ -25,5 +25,5 @@
 from waeup.kofa.hostels.interfaces import IHostel, IBed
 
-from kofacustom.skeleton.interfaces import MessageFactory as _
+from kofacustom.udss.interfaces import MessageFactory as _
 
 blocks = SimpleKofaVocabulary(
Index: main/kofacustom.udss/trunk/src/kofacustom/udss/interfaces.py
===================================================================
--- main/kofacustom.udss/trunk/src/kofacustom/udss/interfaces.py	(revision 17688)
+++ main/kofacustom.udss/trunk/src/kofacustom/udss/interfaces.py	(revision 17689)
@@ -23,5 +23,5 @@
     ISessionConfiguration, academic_sessions_vocab)
 
-_ = MessageFactory = zope.i18nmessageid.MessageFactory('kofacustom.skeleton')
+_ = MessageFactory = zope.i18nmessageid.MessageFactory('kofacustom.udss')
 
 class ICustomSessionConfiguration(ISessionConfiguration):
Index: main/kofacustom.udss/trunk/src/kofacustom/udss/interswitch/browser.py
===================================================================
--- main/kofacustom.udss/trunk/src/kofacustom/udss/interswitch/browser.py	(revision 17688)
+++ main/kofacustom.udss/trunk/src/kofacustom/udss/interswitch/browser.py	(revision 17689)
@@ -27,10 +27,10 @@
     InterswitchPageStudent, InterswitchPageApplicant,
     )
-from kofacustom.skeleton.students.interfaces import ICustomStudentOnlinePayment
-from kofacustom.skeleton.applicants.interfaces import ICustomApplicantOnlinePayment
-from kofacustom.skeleton.interfaces import MessageFactory as _
+from kofacustom.udss.students.interfaces import ICustomStudentOnlinePayment
+from kofacustom.udss.applicants.interfaces import ICustomApplicantOnlinePayment
+from kofacustom.udss.interfaces import MessageFactory as _
 
 PRODUCT_ID = '' # must be provided by Interswitch
-SITE_NAME = 'skeleton.waeup.org'
+SITE_NAME = 'udss.waeup.org'
 PROVIDER_ACCT = '00000000'
 PROVIDER_BANK_ID = '00'
Index: main/kofacustom.udss/trunk/src/kofacustom/udss/interswitch/tests.py
===================================================================
--- main/kofacustom.udss/trunk/src/kofacustom/udss/interswitch/tests.py	(revision 17688)
+++ main/kofacustom.udss/trunk/src/kofacustom/udss/interswitch/tests.py	(revision 17689)
@@ -24,5 +24,5 @@
 from waeup.kofa.applicants.tests.test_browser import ApplicantsFullSetup
 from waeup.kofa.configuration import SessionConfiguration
-from kofacustom.skeleton.testing import FunctionalLayer
+from kofacustom.udss.testing import FunctionalLayer
 
 # Also run tests that send requests to external servers?
@@ -182,5 +182,5 @@
         self.assertTrue(
             'zope.mgr - '
-            'kofacustom.skeleton.interswitch.browser.CustomInterswitchPaymentRequestWebservicePageStudent - '
+            'kofacustom.udss.interswitch.browser.CustomInterswitchPaymentRequestWebservicePageStudent - '
             'X1000000 - successful schoolfee payment: p3547789850240\n'
             in logcontent)
Index: main/kofacustom.udss/trunk/src/kofacustom/udss/locales/en/LC_MESSAGES/waeup.kofa.po
===================================================================
--- main/kofacustom.udss/trunk/src/kofacustom/udss/locales/en/LC_MESSAGES/waeup.kofa.po	(revision 17688)
+++ main/kofacustom.udss/trunk/src/kofacustom/udss/locales/en/LC_MESSAGES/waeup.kofa.po	(revision 17689)
@@ -11,4 +11,6 @@
 
 msgid "Academics"
-msgstr "Institutions"
+msgstr "Classes"
 
+msgid "Departments"
+msgstr "Arms"
Index: main/kofacustom.udss/trunk/src/kofacustom/udss/payments/interfaces.py
===================================================================
--- main/kofacustom.udss/trunk/src/kofacustom/udss/payments/interfaces.py	(revision 17688)
+++ main/kofacustom.udss/trunk/src/kofacustom/udss/payments/interfaces.py	(revision 17689)
@@ -19,5 +19,5 @@
 from zope import schema
 from kofacustom.nigeria.payments.interfaces import INigeriaOnlinePayment
-from kofacustom.skeleton.interfaces import MessageFactory as _
+from kofacustom.udss.interfaces import MessageFactory as _
 
 class ICustomOnlinePayment(INigeriaOnlinePayment):
Index: main/kofacustom.udss/trunk/src/kofacustom/udss/remita/webservices.py
===================================================================
--- main/kofacustom.udss/trunk/src/kofacustom/udss/remita/webservices.py	(revision 17688)
+++ main/kofacustom.udss/trunk/src/kofacustom/udss/remita/webservices.py	(revision 17689)
@@ -18,5 +18,5 @@
 
 from kofacustom.nigeria.remita.webservices import PaymentNotificationListenerWebservice
-from kofacustom.skeleton.remita.browser import MERCHANTID, HOST, HTTPS, API_KEY
+from kofacustom.udss.remita.browser import MERCHANTID, HOST, HTTPS, API_KEY
 
 class CustomPaymentNotificationListenerWebservice(
Index: main/kofacustom.udss/trunk/src/kofacustom/udss/students/batching.py
===================================================================
--- main/kofacustom.udss/trunk/src/kofacustom/udss/students/batching.py	(revision 17688)
+++ main/kofacustom.udss/trunk/src/kofacustom/udss/students/batching.py	(revision 17689)
@@ -20,5 +20,5 @@
 from kofacustom.nigeria.students.batching import NigeriaStudentProcessor
 from waeup.kofa.students.batching import StudentOnlinePaymentProcessor
-from kofacustom.skeleton.students.interfaces import (
+from kofacustom.udss.students.interfaces import (
     ICustomStudent,
     ICustomStudentUpdateByRegNo,
Index: main/kofacustom.udss/trunk/src/kofacustom/udss/students/browser.py
===================================================================
--- main/kofacustom.udss/trunk/src/kofacustom/udss/students/browser.py	(revision 17688)
+++ main/kofacustom.udss/trunk/src/kofacustom/udss/students/browser.py	(revision 17689)
@@ -42,8 +42,8 @@
     )
 
-from kofacustom.skeleton.students.interfaces import (
+from kofacustom.udss.students.interfaces import (
     ICustomStudentOnlinePayment, ICustomStudentStudyCourse,
     ICustomStudentStudyLevel)
-from kofacustom.skeleton.interfaces import MessageFactory as _
+from kofacustom.udss.interfaces import MessageFactory as _
 
 class CustomPaymentsManageFormPage(PaymentsManageFormPage):
Index: main/kofacustom.udss/trunk/src/kofacustom/udss/students/export.py
===================================================================
--- main/kofacustom.udss/trunk/src/kofacustom/udss/students/export.py	(revision 17688)
+++ main/kofacustom.udss/trunk/src/kofacustom/udss/students/export.py	(revision 17689)
@@ -18,5 +18,5 @@
 """Exporters for student related stuff.
 """
-from kofacustom.skeleton.students.interfaces import (
+from kofacustom.udss.students.interfaces import (
     ICustomStudent,
     ICustomStudentStudyCourse,
Index: main/kofacustom.udss/trunk/src/kofacustom/udss/students/interfaces.py
===================================================================
--- main/kofacustom.udss/trunk/src/kofacustom/udss/students/interfaces.py	(revision 17688)
+++ main/kofacustom.udss/trunk/src/kofacustom/udss/students/interfaces.py	(revision 17689)
@@ -25,6 +25,6 @@
     INigeriaStudentUpdateByRegNo, INigeriaStudentUpdateByMatricNo,
     )
-from kofacustom.skeleton.payments.interfaces import ICustomOnlinePayment
-from kofacustom.skeleton.interfaces import MessageFactory as _
+from kofacustom.udss.payments.interfaces import ICustomOnlinePayment
+from kofacustom.udss.interfaces import MessageFactory as _
 
 class ICustomStudentBase(INigeriaStudentBase):
Index: main/kofacustom.udss/trunk/src/kofacustom/udss/students/payments.py
===================================================================
--- main/kofacustom.udss/trunk/src/kofacustom/udss/students/payments.py	(revision 17688)
+++ main/kofacustom.udss/trunk/src/kofacustom/udss/students/payments.py	(revision 17689)
@@ -26,5 +26,5 @@
 from kofacustom.nigeria.students.payments import (
     NigeriaStudentOnlinePayment, NigeriaStudentOnlinePaymentFactory)
-from kofacustom.skeleton.students.interfaces import ICustomStudentOnlinePayment
+from kofacustom.udss.students.interfaces import ICustomStudentOnlinePayment
 
 class CustomStudentOnlinePayment(NigeriaStudentOnlinePayment):
Index: main/kofacustom.udss/trunk/src/kofacustom/udss/students/student.py
===================================================================
--- main/kofacustom.udss/trunk/src/kofacustom/udss/students/student.py	(revision 17688)
+++ main/kofacustom.udss/trunk/src/kofacustom/udss/students/student.py	(revision 17689)
@@ -26,5 +26,5 @@
 from waeup.kofa.utils.helpers import get_current_principal
 from kofacustom.nigeria.students.student import NigeriaStudent
-from kofacustom.skeleton.students.interfaces import ICustomStudent
+from kofacustom.udss.students.interfaces import ICustomStudent
 
 
Index: main/kofacustom.udss/trunk/src/kofacustom/udss/students/studycourse.py
===================================================================
--- main/kofacustom.udss/trunk/src/kofacustom/udss/students/studycourse.py	(revision 17688)
+++ main/kofacustom.udss/trunk/src/kofacustom/udss/students/studycourse.py	(revision 17689)
@@ -27,5 +27,5 @@
 from waeup.kofa.students.workflow import CLEARED, RETURNING, PAID
 from kofacustom.nigeria.students.studycourse import NigeriaStudentStudyCourse
-from kofacustom.skeleton.students.interfaces import ICustomStudentStudyCourse
+from kofacustom.udss.students.interfaces import ICustomStudentStudyCourse
 
 class CustomStudentStudyCourse(NigeriaStudentStudyCourse):
Index: main/kofacustom.udss/trunk/src/kofacustom/udss/students/studylevel.py
===================================================================
--- main/kofacustom.udss/trunk/src/kofacustom/udss/students/studylevel.py	(revision 17688)
+++ main/kofacustom.udss/trunk/src/kofacustom/udss/students/studylevel.py	(revision 17689)
@@ -28,5 +28,5 @@
     CourseTicketFactory, StudentStudyLevelFactory)
 from waeup.kofa.students.interfaces import IStudentNavigation
-from kofacustom.skeleton.students.interfaces import (
+from kofacustom.udss.students.interfaces import (
     ICustomStudentStudyLevel, ICustomCourseTicket)
 
Index: main/kofacustom.udss/trunk/src/kofacustom/udss/students/tests/test_browser.py
===================================================================
--- main/kofacustom.udss/trunk/src/kofacustom/udss/students/tests/test_browser.py	(revision 17688)
+++ main/kofacustom.udss/trunk/src/kofacustom/udss/students/tests/test_browser.py	(revision 17689)
@@ -34,5 +34,5 @@
     IExtFileStore, IFileStoreNameChooser)
 from waeup.kofa.students.interfaces import IStudentsUtils
-from kofacustom.skeleton.testing import FunctionalLayer
+from kofacustom.udss.testing import FunctionalLayer
 
 
Index: main/kofacustom.udss/trunk/src/kofacustom/udss/students/tests/test_export.py
===================================================================
--- main/kofacustom.udss/trunk/src/kofacustom/udss/students/tests/test_export.py	(revision 17688)
+++ main/kofacustom.udss/trunk/src/kofacustom/udss/students/tests/test_export.py	(revision 17689)
@@ -6,8 +6,8 @@
 from waeup.kofa.students.tests.test_batching import (
     StudentImportExportSetup, curr_year)
-from kofacustom.skeleton.utils.utils import CustomKofaUtils
-from kofacustom.skeleton.students.export import (
+from kofacustom.udss.utils.utils import CustomKofaUtils
+from kofacustom.udss.students.export import (
     CustomStudentExporter, CustomStudentPaymentExporter)
-from kofacustom.skeleton.testing import FunctionalLayer
+from kofacustom.udss.testing import FunctionalLayer
 
 
Index: main/kofacustom.udss/trunk/src/kofacustom/udss/students/tests/test_student.py
===================================================================
--- main/kofacustom.udss/trunk/src/kofacustom/udss/students/tests/test_student.py	(revision 17688)
+++ main/kofacustom.udss/trunk/src/kofacustom/udss/students/tests/test_student.py	(revision 17689)
@@ -22,15 +22,15 @@
 from zope.interface import verify
 from waeup.kofa.testing import FunctionalTestCase
-from kofacustom.skeleton.students.student import CustomStudent, CustomStudentFactory
-from kofacustom.skeleton.students.studycourse import (
+from kofacustom.udss.students.student import CustomStudent, CustomStudentFactory
+from kofacustom.udss.students.studycourse import (
     CustomStudentStudyCourse, CustomStudentStudyCourseFactory)
-from kofacustom.skeleton.students.studylevel import (
+from kofacustom.udss.students.studylevel import (
     CustomStudentStudyLevel, CustomCourseTicket,
     CustomStudentStudyLevelFactory,
     CustomCourseTicketFactory)
-from kofacustom.skeleton.students.interfaces import (
+from kofacustom.udss.students.interfaces import (
     ICustomStudent, ICustomStudentStudyCourse,
     ICustomStudentStudyLevel, ICustomCourseTicket)
-from kofacustom.skeleton.testing import FunctionalLayer
+from kofacustom.udss.testing import FunctionalLayer
 
 
Index: main/kofacustom.udss/trunk/src/kofacustom/udss/students/utils.py
===================================================================
--- main/kofacustom.udss/trunk/src/kofacustom/udss/students/utils.py	(revision 17688)
+++ main/kofacustom.udss/trunk/src/kofacustom/udss/students/utils.py	(revision 17689)
@@ -21,5 +21,5 @@
     CLEARED, RETURNING, PAID, REGISTERED, VALIDATED)
 from kofacustom.nigeria.students.utils import NigeriaStudentsUtils
-from kofacustom.skeleton.interfaces import MessageFactory as _
+from kofacustom.udss.interfaces import MessageFactory as _
 
 class CustomStudentsUtils(NigeriaStudentsUtils):
Index: main/kofacustom.udss/trunk/src/kofacustom/udss/students/viewlets.py
===================================================================
--- main/kofacustom.udss/trunk/src/kofacustom/udss/students/viewlets.py	(revision 17688)
+++ main/kofacustom.udss/trunk/src/kofacustom/udss/students/viewlets.py	(revision 17689)
@@ -20,5 +20,5 @@
 from waeup.kofa.interfaces import REQUESTED
 from waeup.kofa.browser.viewlets import ManageActionButton
-from kofacustom.skeleton.students.interfaces import (
+from kofacustom.udss.students.interfaces import (
     ICustomStudentStudyCourse, ICustomStudentStudyLevel)
 from waeup.kofa.students.fileviewlets import (
Index: main/kofacustom.udss/trunk/src/kofacustom/udss/testing.py
===================================================================
--- main/kofacustom.udss/trunk/src/kofacustom/udss/testing.py	(revision 17688)
+++ main/kofacustom.udss/trunk/src/kofacustom/udss/testing.py	(revision 17689)
@@ -19,9 +19,9 @@
 """
 import os.path
-import kofacustom.skeleton
+import kofacustom.udss
 from zope.app.testing.functional import ZCMLLayer
 
 ftesting_zcml = os.path.join(
-    os.path.dirname(kofacustom.skeleton.__file__), 'ftesting.zcml')
+    os.path.dirname(kofacustom.udss.__file__), 'ftesting.zcml')
 FunctionalLayer = ZCMLLayer(ftesting_zcml, __name__, 'FunctionalLayer',
                             allow_teardown=True)
Index: main/kofacustom.udss/trunk/src/kofacustom/udss/tests/test_configuration.py
===================================================================
--- main/kofacustom.udss/trunk/src/kofacustom/udss/tests/test_configuration.py	(revision 17688)
+++ main/kofacustom.udss/trunk/src/kofacustom/udss/tests/test_configuration.py	(revision 17689)
@@ -25,9 +25,9 @@
 from waeup.kofa.tests.test_configuration import (
     ConfigurationTest, SessionConfigurationFactoryTest)
-from kofacustom.skeleton.configuration import (
+from kofacustom.udss.configuration import (
     CustomSessionConfiguration, CustomSessionConfigurationFactory)
-from kofacustom.skeleton.interfaces import(
+from kofacustom.udss.interfaces import(
     ICustomSessionConfiguration, ICustomSessionConfigurationAdd)
-from kofacustom.skeleton.testing import FunctionalLayer
+from kofacustom.udss.testing import FunctionalLayer
 
 class ConfigurationTest(ConfigurationTest):
Index: main/kofacustom.udss/trunk/src/kofacustom/udss/tests/test_datacenter.py
===================================================================
--- main/kofacustom.udss/trunk/src/kofacustom/udss/tests/test_datacenter.py	(revision 17688)
+++ main/kofacustom.udss/trunk/src/kofacustom/udss/tests/test_datacenter.py	(revision 17689)
@@ -18,5 +18,5 @@
 from waeup.kofa.datacenter import DataCenter
 from waeup.kofa.testing import FunctionalTestCase
-from kofacustom.skeleton.testing import FunctionalLayer
+from kofacustom.udss.testing import FunctionalLayer
 
 
Index: main/kofacustom.udss/trunk/src/kofacustom/udss/tests/test_smtp.py
===================================================================
--- main/kofacustom.udss/trunk/src/kofacustom/udss/tests/test_smtp.py	(revision 17688)
+++ main/kofacustom.udss/trunk/src/kofacustom/udss/tests/test_smtp.py	(revision 17689)
@@ -33,5 +33,5 @@
     send_mail)
 from waeup.kofa.testing import FunctionalTestCase
-from kofacustom.skeleton.testing import FunctionalLayer
+from kofacustom.udss.testing import FunctionalLayer
 
 #
Index: main/kofacustom.udss/trunk/src/kofacustom/udss/utils/tests.py
===================================================================
--- main/kofacustom.udss/trunk/src/kofacustom/udss/utils/tests.py	(revision 17688)
+++ main/kofacustom.udss/trunk/src/kofacustom/udss/utils/tests.py	(revision 17689)
@@ -17,5 +17,5 @@
 ##
 from waeup.kofa.testing import FunctionalTestCase
-from kofacustom.skeleton.testing import FunctionalLayer
+from kofacustom.udss.testing import FunctionalLayer
 
 
Index: main/kofacustom.udss/trunk/versions.cfg
===================================================================
--- main/kofacustom.udss/trunk/versions.cfg	(revision 17688)
+++ main/kofacustom.udss/trunk/versions.cfg	(revision 17689)
@@ -1,3 +1,3 @@
-# Versions of packages used by kofacustom.skeleton
+# Versions of packages used by kofacustom.udss
 [buildout]
 extends = sources/waeup.kofa/versions.cfg
